import 'package:flutter/foundation.dart';
import 'package:http/http.dart' as http;
import 'package:primer_practica/environments/urls.dart' as api;

class CategoryService {
  static const String apiBaseUrl = 'categoria';

  // Método para obtener las categorías
  Future<Map<String, dynamic>> getCategories({int offset = 0, int max = 100}) async {
    String url = '${api.apiApp}/$apiBaseUrl?offset=$offset&max=$max';

    if (kDebugMode) {
      print('Url -> $url');
    }

    try {
      final resp = await http.get(Uri.parse(url));
      return {"statusCode": resp.statusCode, "body": resp.body};
    } catch (e) {
      return {"statusCode": 501, "body": '$e'};
    }
  }
}
