import 'package:flutter/material.dart';

class FormularioCategoria extends StatefulWidget {
  const FormularioCategoria({super.key});

  @override
  _FormularioCategoriaState createState() => _FormularioCategoriaState();
}

class _FormularioCategoriaState extends State<FormularioCategoria> {
  final _nombreController = TextEditingController();
  final _claveController = TextEditingController();

  @override
  void dispose() {
    _nombreController.dispose();
    _claveController.dispose();
    super.dispose();
  }

  void _guardarCategoria() {
    final nombre = _nombreController.text;
    final clave = _claveController.text;

    if (nombre.isEmpty || clave.isEmpty) {
      // Mostrar un mensaje de error si algún campo está vacío
      ScaffoldMessenger.of(context).showSnackBar(
        const SnackBar(content: Text('Por favor, complete todos los campos')),
      );
      return;
    }

    final fechaCreado = DateTime.now().millisecondsSinceEpoch;

    final categoria = {
      "clave": clave,
      "fechaCreado": fechaCreado,
      "nombre": nombre,
    };

    print(categoria); // Imprime el mensaje en consola

    // Aquí puedes agregar lógica adicional para guardar los datos en una base de datos o enviar a una API

    // Volver a la pantalla anterior
    Navigator.pop(context);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Agregar Categoría'),
      ),
      body: Padding(
        padding: const EdgeInsets.all(180.0),
        child: Column(
          children: <Widget>[
            TextField(
              controller: _claveController,
              decoration: const InputDecoration(labelText: 'Clave'),
              keyboardType: TextInputType.text,
            ),
            const SizedBox(height:40),
            TextField(
              controller: _nombreController,
              decoration: const InputDecoration(labelText: 'Nombre'),
              keyboardType: TextInputType.text,
            ),
            const SizedBox(height: 30),
            ElevatedButton(
              onPressed: _guardarCategoria,
              child: const Text('GUARDAR'),
            ),
          ],
        ),
      ),
    );
  }
}
